--beginvalidatingquery
	if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_DatabaseVersion]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
    begin
		 select 1, 'Upgrading database'
    end
    else
		select -1, 'Not an EPiServer database'
--endvalidatingquery

BEGIN
UPDATE [dbo].[tblContentProperty]
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Microsoft_Dynamics_CRM###','Marketing_Connectors###d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_'),
	[LongStringLength] = Len(REPLACE([LongString], 'MAI_Connector_Database_Microsoft_Dynamics_CRM###','Marketing_Connectors###d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_'))
WHERE [LongString] LIKE 'MAI_Connector_Database_Microsoft_Dynamics_CRM%'

update [dbo].[tblContentProperty] 
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Microsoft_Dynamics_CRM$$$','Marketing_Connectors$$$d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_'),
	LongStringLength = Len(REPLACE(LongString, 'MAI_Connector_Database_Microsoft_Dynamics_CRM$$$','Marketing_Connectors$$$d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_'))
WHERE LongString LIKE 'MAI_Connector_Database_Microsoft_Dynamics_CRM%'

update [dbo].[tblWorkContentProperty]
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Microsoft_Dynamics_CRM###','Marketing_Connectors###d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_')
WHERE LongString LIKE 'MAI_Connector_Database_Microsoft_Dynamics_CRM%'

update [dbo].[tblWorkContentProperty] 
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Microsoft_Dynamics_CRM$$$','Marketing_Connectors$$$d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_d6e4d762Z247fZ4c51Z9abeZ75f6fbd39969_')
WHERE [LongString] LIKE 'MAI_Connector_Database_Microsoft_Dynamics_CRM%'
END

-- Create table to store connector version.
DECLARE @currentVersion nvarchar(10) = '4.1.0';
IF NOT EXISTS (SELECT * 
               FROM INFORMATION_SCHEMA.TABLES 
               WHERE TABLE_NAME = 'tblMarketingConnectorsVersion') 
BEGIN
CREATE TABLE [dbo].[tblMarketingConnectorsVersion] (
    [pkId]          BIGINT          IDENTITY (1, 1) NOT NULL,
	[Id]            UNIQUEIDENTIFIER NOT NULL PRIMARY KEY,
    [Name]          NVARCHAR (375)   NOT NULL,
    [Version]       NVARCHAR (50)   NOT NULL
);

INSERT INTO tblMarketingConnectorsVersion
				([Id],
				[Name],
				[Version]) VALUES ('D6E4D762-247F-4C51-9ABE-75F6FBD39969', 'MSDynamics', @currentVersion);
END
ELSE
BEGIN
IF NOT EXISTS (SELECT * FROM [dbo].[tblMarketingConnectorsVersion] WHERE Id = 'D6E4D762-247F-4C51-9ABE-75F6FBD39969')

   INSERT INTO tblMarketingConnectorsVersion
				([Id],
				[Name],
				[Version]) VALUES ('D6E4D762-247F-4C51-9ABE-75F6FBD39969', 'MSDynamics', @currentVersion);

ELSE

    UPDATE tblMarketingConnectorsVersion
    SET [Version] = @currentVersion
    WHERE Id = 'D6E4D762-247F-4C51-9ABE-75F6FBD39969'

END
GO