﻿<%@ Control Language="C#"
    AutoEventWireup="true"
    CodeBehind="SettingsControl.ascx.cs" Inherits="Episerver.Marketing.Connector.MSDynamics.Views.Admin.SettingsControl" %>
<%@ Register TagPrefix="asp" Namespace="System.Web.UI" Assembly="System.Web" %>

<%@ Import Namespace="EPiServer" %>
<%@ Import Namespace="EPiServer.Shell.WebForms" %>
<%@ Import Namespace="EPiServer.Framework.Localization" %>
<script type="text/javascript">
    function confirmRemove(uxConnectorNameId) {
        var connectorName = document.getElementById(uxConnectorNameId).value;
        var confirmMessage = "<%= LocalizationService.Current.GetString("/episerver/marketing/connectors/common/removeconfirmation")%> ";
         var warningMessage = "\n<%= LocalizationService.Current.GetString("/episerver/marketing/connectors/common/removewarning")%>";
        if (connectorName == "") {
            connectorName = "New Connector"
            return confirm(confirmMessage + connectorName);
        } else {
            return confirm(confirmMessage + connectorName + warningMessage);
        }
    }

</script>
<fieldset>
    <legend><span id="controlDescription" runat="server"></span></legend>
    <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pErrorMessage" visible="false"></p>
    <p runat="server" clientidmode="Static" class="EP-systemMessage" id="pStatusMessage" visible="false"></p>
    <div class="epi-size20">
        <div>
            <asp:Label runat="server" ID="lblConnectorName" AssociatedControlID="uxConnectorName"></asp:Label>
            <asp:TextBox runat="server" ID="uxConnectorName" TextMode="SingleLine"></asp:TextBox>
            <asp:Label runat="server" ID="lblConnectorNameRequired" style="color: red">*</asp:Label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblUserName" AssociatedControlID="uxUserName"></asp:Label>
            <asp:TextBox runat="server" ID="uxUserName" CssClass="episize240"></asp:TextBox>
            <asp:Label runat="server" ID="uxUserNameRequired" style="color: red">*</asp:Label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblPassword" AssociatedControlID="uxPassword"></asp:Label>
            <asp:TextBox runat="server" ID="uxPassword" TextMode="Password" CssClass="episize240"></asp:TextBox>
            <asp:Label runat="server" ID="uxPasswordRequired" style="color: red">*</asp:Label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblApplicationId" AssociatedControlID="uxApplicationId"></asp:Label>
            <asp:TextBox runat="server" ID="uxApplicationId" CssClass="episize240"></asp:TextBox>
            <asp:Label runat="server" ID="uxApplicationIdRequired" style="color: red">*</asp:Label>
        </div>
        <div>
            <asp:Label runat="server" ID="lblCrmAddress" AssociatedControlID="uxCrmAddress"></asp:Label>
            <asp:TextBox runat="server" ID="uxCrmAddress" CssClass="episize240" placeholder="https://orgname.crm.dynamics.com/"></asp:TextBox>
            <asp:Label runat="server" ID="uxCrmAddressRequired" style="color: red">*</asp:Label>
        </div>
          <div>
            <asp:Label runat="server" ID="lblUpdateEntity" AssociatedControlID="uxUpdateEntity"></asp:Label>
            <asp:DropDownList ID="uxUpdateEntity" runat="server">
            </asp:DropDownList>
            <br />
        </div>
    </div>

    <div class="epi-buttonContainer">
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="uxEdit" OnClick="EditClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Edit" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
        </span>
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="uxSave" OnClick="SaveClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
        </span>
        <span class="epi-cmsButton">
            <asp:Button runat="server" ID="uxRemove" OnClick="RemoveClick" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Cancel" onmouseover="EPi.ToolButton.MouseDownHandler(this)" onmouseout="EPi.ToolButton.ResetMouseDownHandler(this)" />
        </span>
    </div>
</fieldset>
